<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LawyerLegalProblemScenarioMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LawyerLegalProblemScenario">
        <id column="id" property="id" />
        <result column="code" property="code" />
        <result column="name" property="name" />
        <result column="parent_id" property="parentId" />
        <result column="parent_code" property="parentCode" />
        <result column="parentName" property="parent_name" />
        <result column="sort_order" property="sortOrder" />
        <result column="status" property="status" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, code, name, parent_id, parent_code, parentName, sort_order, status, delete_flag,
        created_time, created_user_id, updated_time, updated_user_id
    </sql>

</mapper>

